> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# List all resource budgets

GET https://api.dsx-air.nvidia.com/api/v3/resource-budgets/

For users without the `air:sre` scope, a list with a single item will be returned, which will be the resource budget of the organization the requester is currently logged in to. For users with the `air:sre` scope, resource budgets for all organizations currently existing on the platform will be returned.

**Permissions:** Any authenticated user with an Air scope.

Reference: https://docs.nvidia.com/dsx-air/api-reference/resource-budgets/api-v-3-resource-budgets-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `limit` (integer, optional) — Number of results to return per page.
- `ngc_org_name` (string, optional) — Filter by the NGC Organization Name of the organization.
- `offset` (integer, optional) — The initial index from which to return the results.
- `ordering` (enum, optional) — Order objects by field. Prefix with `-` for descending order.
  - Allowed values: `-cpu`, `-created`, `-disk_storage`, `-memory`, `-modified`, `-ngc_org_name`, `-org_display_name`, `-org_id`, `-userconfigs`, `cpu`, `created`, `disk_storage`, `memory`, `modified`, `ngc_org_name`, `org_display_name`, `org_id`, `userconfigs`
- `org_display_name` (string, optional) — Filter by the display name of the organization.
- `org_id` (string, optional) — Filter by the Air database ID of the organization.
- `org_nca_id` (string, optional) — Filter by the NCA ID of the organization.
- `search` (string, optional) — Search by `org_display_name`, `ngc_org_name`, or `org_id`.

## Response

### 200

- `count` (integer, required)
- `results` (list of object, required)
  - `id` (string, required)
  - `created` (datetime, required)
  - `modified` (datetime, required)
  - `org_display_name` (string, required) — Display name of the NGC organization.
  - `org_nca_id` (string, required) — NCA ID of the organization.
  - `ngc_org_name` (string, required) — NGC Organization Name of the organization.
  - `org_id` (string, required) — The organization this budget belongs to.
  - `cpu` (double, required, default: 300) — Total number of CPU cores the org is permitted to concurrently use. This is determined by the grants/SKUs associated with the org.
  - `memory` (double, required, default: 307200) — Total amount of memory (in MiB) the org is permitted to concurrently use. This is determined by the grants/SKUs associated with the org.
  - `disk_storage_total` (double, required, default: 10000) — Total amount of disk storage (in GB) the org is permitted to concurrently use. This is determined by the grants/SKUs associated with the org.
  - `disk_storage_per_node` (integer, required) — Amount of disk storage for a single node, in GB.
  - `image_storage` (integer, required) — Amount of image storage, in GB.
  - `userconfigs` (integer, required) — Amount of total UserConfig content, in bytes.
  - `total_compute_hours` (double, required, default: 0) — Total compute hours the organization has been granted, including the compute hours it has already consumed. Grants which were voided or which have expired are not counted.
  - `remaining_compute_hours` (double, required, default: 0) — Semi-reliable cached estimate of the compute hours the organization has left to spend out of `total_compute_hours`.
  - `usage` (object, required) — The cumulative amount of resources which the org is currently using across all simulations in Air.
    - `cpu` (double, required, default: 0) — Number of CPU cores currently in use across all simulations.
    - `memory` (double, required, default: 0) — Memory currently in use, in MiB, across all simulations.
    - `disk_storage` (double, required, default: 0) — Disk storage currently in use, in GB, across all simulations.
    - `image_storage` (integer, required, default: 0) — Image storage currently in use, in GB.
    - `userconfigs` (integer, required, default: 0) — User configs content currently in use, in bytes.
  - `has_paid_skus` (boolean, required) — Whether the organization has any paid SKUs. Paid SKUs are: 797-IAIRS1, 797-IAIRS2, 797-IAIRS3, 797-IAIRS4, 797-IAIRS5.
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "id": "string",
      "created": "2024-01-15T09:30:00Z",
      "modified": "2024-01-15T09:30:00Z",
      "org_display_name": "string",
      "org_nca_id": "string",
      "ngc_org_name": "string",
      "org_id": "string",
      "cpu": 300,
      "memory": 307200,
      "disk_storage_total": 10000,
      "disk_storage_per_node": 1,
      "image_storage": 1,
      "userconfigs": 1,
      "total_compute_hours": 0,
      "remaining_compute_hours": 0,
      "usage": {
        "cpu": 0,
        "memory": 0,
        "disk_storage": 0,
        "image_storage": 0,
        "userconfigs": 0
      },
      "has_paid_skus": true
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/resource-budgets/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/resource-budgets/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/resource-budgets/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/resource-budgets/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/resource-budgets/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/resource-budgets/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/resource-budgets/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/resource-budgets/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```